OnlyFans API
OnlyFansProfile Content

List Profile Post Labels

Retrieve the post labels displayed on another user's profile using your connected account's access. By default, only labels containing posts are returned.

GET
/api/{account}/users/{user_id}/labels
AuthorizationBearer <token>

Get your API Key from OnlyFansAPI Console - https://app.onlyfansapi.com/api-keys

In: header

Path Parameters

account*string

The Account ID

user_id*integer

The other user's numeric OnlyFans ID. Resolve a username with GET /{account}/users/{username} first.

Query Parameters

limit?integer

Number of labels, from 1 to 100. Default: 10.

offset?integer

Number of labels to skip. Default: 0.

non-empty?boolean

Only return labels containing posts. Default: true.

Response Body

application/json

curl -X GET "https://app.onlyfansapi.com/api/acct_XXXXXXXXXXXXXXX/users/308625502/labels?limit=10&offset=0&non-empty=true"
{
  "data": {
    "list": [],
    "order": "asc",
    "sort": "default",
    "hasMore": false,
    "nextOffset": 10,
    "hashSort": "0123456789abcdef0123456789abcdef"
  },
  "_pagination": {
    "next_page": null,
    "notice": null
  },
  "_meta": {
    "_credits": {
      "used": 1,
      "balance": 9999,
      "note": "Always"
    },
    "_cache": {
      "is_cached": false,
      "note": "Cache disabled for this endpoint"
    },
    "_rate_limits": {
      "limit_minute": 1000,
      "limit_day": null,
      "remaining_minute": 999,
      "remaining_day": null,
      "notice": "We have decided to remove our daily rate limits. Please remove any references to these in your integrations."
    }
  }
}